OGRE: Ogre::RenderOperation Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::RenderOperation Class Reference

'New' rendering operation using vertex buffers. More...

`#include <OgreRenderOperation.h>`

List of all members.

## Public Types

enum | OperationType { OT_POINT_LIST = 1, OT_LINE_LIST = 2, OT_LINE_STRIP = 3, OT_TRIANGLE_LIST = 4, OT_TRIANGLE_STRIP = 5, OT_TRIANGLE_FAN = 6 }
| The rendering operation type to perform. More...

## Public Member Functions

| RenderOperation ()

## Public Attributes

VertexData * | vertexData
| Vertex source data.
OperationType | operationType
| The type of operation to perform.
bool | useIndexes
| Specifies whether to use indexes to determine the vertices to use as input.
IndexData * | indexData
| Index data - only valid if useIndexes is true.
const Renderable * | srcRenderable
| Debug pointer back to renderable which created this.

## Detailed Description

'New' rendering operation using vertex buffers.

Definition at line 39 of file OgreRenderOperation.h.

## Member Enumeration Documentation

enum Ogre::RenderOperation::OperationType

The rendering operation type to perform.

Enumeration values:

  OT_POINT_LIST | A list of points, 1 vertex per point.
  OT_LINE_LIST | A list of lines, 2 vertices per line.
  OT_LINE_STRIP | A strip of connected lines, 1 vertex per line plus 1 start vertex.
  OT_TRIANGLE_LIST | A list of triangles, 3 vertices per triangle.
  OT_TRIANGLE_STRIP | A strip of triangles, 3 vertices for the first triangle, and 1 per triangle after that.
  OT_TRIANGLE_FAN | A fan of triangles, 3 vertices for the first triangle, and 1 per triangle after that.

Definition at line 42 of file OgreRenderOperation.h.

## Constructor & Destructor Documentation

Ogre::RenderOperation::RenderOperation | ( |  | ) |

| Definition at line 75 of file OgreRenderOperation.h.

## Member Data Documentation

IndexData* Ogre::RenderOperation::indexData

| Index data - only valid if useIndexes is true. Definition at line 70 of file OgreRenderOperation.h.

OperationType Ogre::RenderOperation::operationType

| The type of operation to perform. Definition at line 61 of file OgreRenderOperation.h.

const Renderable* Ogre::RenderOperation::srcRenderable

| Debug pointer back to renderable which created this. Definition at line 72 of file OgreRenderOperation.h.

bool Ogre::RenderOperation::useIndexes

Specifies whether to use indexes to determine the vertices to use as input.

If false, the vertices are simply read in sequence to define the primitives. If true, indexes are used instead to identify vertices anywhere in the buffer, and allowing vertices to be used more than once. If true, then the indexBuffer, indexStart and numIndexes properties must be valid.

Definition at line 67 of file OgreRenderOperation.h.

VertexData* Ogre::RenderOperation::vertexData

| Vertex source data. Definition at line 58 of file OgreRenderOperation.h.

The documentation for this class was generated from the following file:

- OgreRenderOperation.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:59 2008